$(document).ready(function () {
	var people = $(".people-rotator");
	var interval1 = 7000;
	var interval2 = 9000;
	var speed = 1500;
	var rotatorInterval1 = null;
	var rotatorInterval2 = null;

	function rotate(rotator) {
		var img = rotator.find('img:visible');
		var next = img.next();
		if(next.length == 0) {
			next = img.parent().find('img:first');
		}
		next.one('load', function () {
			img.fadeOut(speed / 2);
			next.fadeIn(speed);
		}).each(function () {
			if(this.complete) $(this).load();
		});
	}

	if($("#services-type-selectors:visible").length) enableRotator();

	function enableRotator() {
		rotatorInterval1 = setInterval(function () {
			rotate(people.filter(":first"));
		}, interval1);

		rotatorInterval2 = setInterval(function () {
			rotate(people.filter(":last"));
		}, interval2);
	}

	function disableRotator() {
		clearInterval(rotatorInterval1);
		clearInterval(rotatorInterval2);
		rotatorInterval1 = null;
		rotatorInterval2 = null;

	}

	var services = $(".services-list");
	var servicesTypeSelectors = $(".services-type-selector");
	var servicesSelectorMobile = $("#services-selector").find(".services-type-selector");
	var serviceTypeSelectorDesktop = $("#services-type-selectors").find(".services-type-selector");

	function toggleServices(item) {
		servicesTypeSelectors.removeClass('inactive');
		var targetIsVisible = (services.filter("#" + item).length && services.filter("#" + item).filter(":hidden").length);
		services.filter(":visible").slideUp(300);

		if(targetIsVisible) {
			serviceTypeSelectorDesktop.filter(':not(.' + item + ')').siblings().addClass('inactive');
			servicesTypeSelectors.filter(':not(.' + item + ')').siblings().addClass('inactive');
			services.filter("#" + item).slideDown(300);
		}
	}

	serviceTypeSelectorDesktop.click(function () {
		toggleServices($(this).attr('data-toggle'));

	});

	servicesSelectorMobile.click(function () {
		toggleServices($(this).attr('data-toggle'));
	});

	if(window.location.hash) {
		toggleServices(window.location.hash.slice(1));
	}

});